Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.util
Class ActionRequestWrapper

    java.lang.Object
      org.springframework.web.portlet.util.PortletRequestWrapper
          org.springframework.web.portlet.util.ActionRequestWrapper

All Implemented Interfaces:
  javax.portlet.ActionRequest, javax.portlet.PortletRequest

Direct Known Subclasses:
  DefaultMultipartActionRequest

    public class ActionRequestWrapper

extends PortletRequestWrapper
implements javax.portlet.ActionRequest

Simple wrapper for a Portlet `ActionRequest`, delegating all calls to the underlying request.

(In the style of the Servlet API's `HttpServletRequestWrapper`.)

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ActionRequestWrapper`, `HttpServletRequestWrapper`

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`ActionRequestWrapper(javax.portlet.ActionRequest request)` Create a ActionRequestWrapper for the given request.

Method Summary
`String` | `getCharacterEncoding()`
`int` | `getContentLength()`
`String` | `getContentType()`
`InputStream` | `getPortletInputStream()`
`BufferedReader` | `getReader()`
`void` | `setCharacterEncoding(String enc)`

Methods inherited from class org.springframework.web.portlet.util.PortletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### ActionRequestWrapper

    public ActionRequestWrapper(javax.portlet.ActionRequest request)

  Create a ActionRequestWrapper for the given request.

  Parameters:
    `request` - the original request to wrap
  Throws:
    `IllegalArgumentException` - if the supplied `request` is `null`

Method Detail

### getPortletInputStream

    public InputStream getPortletInputStream()
                                      throws IOException

  Specified by:
    `getPortletInputStream` in interface `javax.portlet.ActionRequest`
  Throws:
    `IOException`

### setCharacterEncoding

    public void setCharacterEncoding(String enc)
                              throws UnsupportedEncodingException

  Specified by:
    `setCharacterEncoding` in interface `javax.portlet.ActionRequest`
  Throws:
    `UnsupportedEncodingException`

### getReader

    public BufferedReader getReader()
                             throws IOException

  Specified by:
    `getReader` in interface `javax.portlet.ActionRequest`
  Throws:
    `IOException`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.portlet.ActionRequest`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.portlet.ActionRequest`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.portlet.ActionRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.